import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/cyzh-smart-device/iotdeviceheartbeat/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/cyzh-smart-device/iotdeviceheartbeat/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const getHeartBeatByDeviceId = (params) => {
  return request({
    url: '/api/cyzh-smart-device/iotdeviceheartbeat/getHeartBeatByDeviceId',
    method: 'get',
    params: {
      ...params,
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/cyzh-smart-device/iotdeviceheartbeat/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/cyzh-smart-device/iotdeviceheartbeat/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/cyzh-smart-device/iotdeviceheartbeat/submit',
    method: 'post',
    data: row
  })
}
